[pkg-wine-party] [SCM] Debian Wine packaging branch, master, updated. wine-1.1.17-1-252-g3bdd722
Ove Kaaven
ovek at arcticnet.no
Tue May 19 20:16:31 UTC 2009
The following commit has been merged in the master branch:
commit 20bf634af53bed60c1bb1f8121ad576cc025d8ec
Author: Ove Kaaven <ovek at arcticnet.no>
Date: Mon May 18 23:59:04 2009 +0200
The logic for only installing binaries that are actually built
is now in separate shell scripts (prep-install.sh, clean-install.sh).
diff --git a/debian/clean-install.sh b/debian/clean-install.sh
new file mode 100644
index 0000000..c532899
--- /dev/null
+++ b/debian/clean-install.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+for inst in debian/*.install-common; do
+ package="$(basename "$inst" .install-common)"
+ rm -f debian/$package.install
+done
+# return success
+true
diff --git a/debian/prep-install.sh b/debian/prep-install.sh
new file mode 100644
index 0000000..269fa18
--- /dev/null
+++ b/debian/prep-install.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+for inst in debian/*.install-common; do
+ package="$(basename "$inst" .install-common)"
+ cp debian/$package.install-common debian/$package.install
+ # certain binaries are only compiled on some platforms;
+ # if they were compiled on the current one, install them
+ for bin in $(cat debian/$package.install-platform); do
+ [ ! -f $bin ] || echo $bin >> debian/$package.install
+ done
+done
+# return success
+true
diff --git a/debian/rules b/debian/rules
index 6412dba..5a577ac 100755
--- a/debian/rules
+++ b/debian/rules
@@ -172,7 +172,7 @@ endif
clean: clean-arch32 clean-arch64
dh_testdir
dh_testroot
- rm -f debian/libwine.install debian/wine-bin.install
+ bash debian/clean-install.sh
rm -f install-arch-stamp build-indep-stamp configure-ia32-stamp
rm -rf lib32
dh_clean
@@ -271,15 +271,8 @@ binary-arch: install-arch-stamp
# create installation directories
dh_installdirs -s
- # certain binaries are only compiled on some platforms;
- # if they were compiled on the current one, install them
- for pkg in libwine wine-bin; do \
- cp debian/$$pkg.install-common debian/$$pkg.install; \
- for bin in $$(cat debian/$$pkg.install-platform); do \
- [ ! -f $$bin ] || \
- echo $$bin >> debian/$$pkg.install; \
- done; \
- done
+ # prepare <packagename>.install files
+ bash debian/prep-install.sh
# distribute files into debian/<packagename>
# according to the <packagename>.install files
--
Debian Wine packaging
More information about the pkg-wine-party
mailing list